clean:
	rm -rf dist || true
	rm -rf ../dist || true
	rm -rf node_modules || true

node_modules:
	npm ci

# run esbuild on each *.ts file in the src/ directory
# outputs each file as ../dist/<filename>.js
all: clean node_modules
	npx esbuild ./src/index.ts \
		--bundle \
		--outfile=dist/index.js \
		--bundle \
		--minify \
		--platform=node \
		--target=es2020 \
		--define:'process.env.TABLE_NAME'=\"${TABLE_NAME}\" \
		--define:'process.env.BUCKET_NAME'=\"${BUCKET_NAME}\";